import { Notification } from "../../../resources/notification/notification.resource";
export declare function getDateLabelForNotificationGroup(date: Date): string;
export declare function checkNotificationGroupDateLabel(notifications: Notification[], notification: Notification, index: number): boolean;
/** @internal */
export declare function getNotificationListMessageId(notificationId: string, parentContextName?: string): string;
/** @internal */
export declare function getNotificationListDescriptionId(notificationId: string, parentContextName?: string): string;
/** @internal */
export declare function getNotificationListItemId(notificationId: string, parentContextName?: string): string;
export declare function getNotificationMenuListId(parentContextName?: string): string;
